INTERFACE
SUBROUTINE DIGFILAD(KSTEP, KDIGLST, KSUB, PSPA3, PSPA2, PSPA1, LDIAB)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVL ,NFD2D ,NFLSUR ,NSPEC2 ,NS3D
INTEGER(KIND=JPIM),INTENT(IN) :: KSTEP
INTEGER(KIND=JPIM),INTENT(IN) :: KDIGLST
INTEGER(KIND=JPIM),INTENT(IN) :: KSUB
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPA3(NFLSUR,NSPEC2,NS3D)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPA2(NSPEC2,NFD2D)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPA1(NFLEVL,2)
LOGICAL ,INTENT(IN) :: LDIAB
END SUBROUTINE DIGFILAD
END INTERFACE
